{% assign is_on_sale = false %}
{% if product.selected_or_first_available_variant.compare_at_price > 0 and product.selected_or_first_available_variant.compare_at_price > product.selected_or_first_available_variant.price %}
  {% assign is_on_sale = true %}
{% endif %}

<div class="{{ grid_item_class }} collection-grid-item{% if is_on_sale == true %} on-sale{% endif %}">
  
  <a class="grid-style" href="{{ product.url | within: collection }}" title="{{ product.title }}">
    <figure>
      <img class="collection-product-image-{{ product.id }}" src="{{ product.featured_image | img_url: 'medium' }}" alt="{{ product.title }}">
    </figure>
    <h5>
      <span class="name">{{ product.title }}</span>
      <span class="price-box">
      {% if is_on_sale == true %}
        <span class="price-regular">Regular Price: {{ product.selected_or_first_available_variant.compare_at_price | money }}</span>
        <span class="price-discounted">{{ product.selected_or_first_available_variant.price | money }}</span>
      {% else %}
        <span class="price-regular">Starts from: {{ product.price_min | money }}</span>
      {% endif %}
      </span>
    </h5>
    <span class="actions">
      {% if product.variants.size > 1 %}
      <button class="btn btn-default">View Details</button>
      {% else %}
      <button class="btn btn-default do-add-to-cart" data-variantid="{{ product.selected_or_first_available_variant.id }}">Add To Cart</button>
      {% endif %}
    </span>
  </a>
  
  <div class="row list-style">
    <div class="col-sm-4 li-col-image">
      <a href="{{ product.url | within: collection }}" title="{{ product.title }}">
        <figure>
          <img class="collection-product-image-{{ product.id }}" src="{{ product.featured_image | img_url: 'medium' }}" alt="{{ product.title }}">
        </figure>
      </a>
    </div>
    <div class="col-sm-5 li-col-title">
      <h3>
        <a href="{{ product.url | within: collection }}" title="{{ product.title }}">
          <span class="name">{{ product.title }}</span>
        </a>
      </h3>
      <div class="short-descr regular-content"><p>{{ product.description | strip_html | truncatewords: 40 }} <a href="{{ product.url | within: collection }}" title="{{ product.title }}" class="learn-more">Learn More</a></p></div>
    </div>
    <div class="col-sm-3 li-col-cta text-right">
      <h5>
        <span class="price-box">
          {% if is_on_sale == true %}
          <span class="price-regular color-lighter">Regular Price: <span class="price-regular-price fs18">{{ product.selected_or_first_available_variant.compare_at_price | money }}</span></span>
          <span class="price-discounted">{{ product.selected_or_first_available_variant.price | money }}</span>
          {% else %}
          <span class="price-regular">Starts from: {{ product.price_min | money }}</span>
          {% endif %}
        </span>
      </h5>
      {% if product.variants.size > 1 %}
      <button class="btn btn-default">View Details</button>
      {% else %}
      <button class="btn btn-default do-add-to-cart" data-variantid="{{ product.selected_or_first_available_variant.id }}">Add To Cart</button>
      {% endif %}
    </div>
  </div>
  
</div>